﻿using System;
using System.ComponentModel;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

using InfraCrashRepro.Models;
using InfraCrashRepro.ViewModels;
using System.Collections.ObjectModel;

namespace InfraCrashRepro.Views
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class ItemDetailPage : ContentPage
    {
        ItemDetailViewModel viewModel;

       
        public ItemDetailPage(ItemDetailViewModel viewModel)
        {
            InitializeComponent();

            BindingContext = this.viewModel = viewModel;
    
        }

   

        public ItemDetailPage()
        {
            InitializeComponent();

            var item = new Item
            {
                Text = "Item 1",
                Description = "This is an item description."
            };

            viewModel = new ItemDetailViewModel(item);
            BindingContext = viewModel;
        }

    }

    public class TestData : ObservableCollection<TestDataItem>
    {
        public TestData()
        {
            Add(new TestDataItem()
            {
                Label = "Impressions",
                Value = 3000
            });
            Add(new TestDataItem()
            {
                Label = "Clicks",
                Value = 2000
            });
            Add(new TestDataItem()
            {
                Label = "Free Downloads",
                Value = 1000
            });
            Add(new TestDataItem()
            {
                Label = "Purchase",
                Value = 3000
            });
            Add(new TestDataItem()
            {
                Label = "Repeat Purchase",
                Value = 500
            });
        }
    }
    public class TestDataItem
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}